## Bononbo

Bononbo —

## Synopsis

                GsfInputBonobo;
    GsfInput*   gsf_input_bonobo_new            (Bonobo_Stream const stream,
                                                 GError **err);
                GsfOutputBonobo;
    GsfOutput*  gsf_output_bonobo_new           (Bonobo_Stream const stream,
                                                 GError **err);
                GsfSharedBonoboStream;
    GsfSharedBonoboStream* gsf_shared_bonobo_stream_new
                                                (Bonobo_Stream stream);

## Description

## Details

### GsfInputBonobo

    typedef struct _GsfInputBonobo GsfInputBonobo;

### gsf_input_bonobo_new ()

    GsfInput*   gsf_input_bonobo_new            (Bonobo_Stream const stream,
                                                 GError **err);

`stream` : |
`err` : |
Returns : |

### GsfOutputBonobo

    typedef struct _GsfOutputBonobo GsfOutputBonobo;

### gsf_output_bonobo_new ()

    GsfOutput*  gsf_output_bonobo_new           (Bonobo_Stream const stream,
                                                 GError **err);

`stream` : |
`err` : |
Returns : |

### GsfSharedBonoboStream

    typedef struct {
    	GObject g_object;
    	Bonobo_Stream stream;
    	CORBA_long pos;
    } GsfSharedBonoboStream;

### gsf_shared_bonobo_stream_new ()

    GsfSharedBonoboStream* gsf_shared_bonobo_stream_new
                                                (Bonobo_Stream stream);

`stream` : |
Returns : |